Update the password policy for a specified tenant.put https://{tenanturl}/v2.0/PasswordPoliciesEntitlement required: managePwdPolicy (Manage password policy).Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requestsâŠLoadingLoadingâŠBody ParamsThe password policy object that contains the attributes for the password policy that is to be updated.schemasarray of stringsrequiredAn array of strings that contain the URIs that indicate the namespaces of the SCIM schemas that define the attributes in the current JSON structure. The schema "urn:ietf:params:scim:schemas:ibm:core:2.0:policy:Password" is returned.schemas*ADD stringpasswordMinAlphaCharsint32requiredSpecifies the minimum number of alphabetic characters that the password string must have. If the server is unable to check the number of alphabetic characters, then the server continues processing depending on the value of the pwdCheckSyntax attribute.passwordMinOtherCharsint32requiredSpecifies the minimum number of numeric and special characters that the password string must have. If the server is unable to check the number of other characters, then the server continues processing depending on the value of the pwdCheckSyntax attribute.pwdMinAgeint32requiredSpecifies the number of days before a password can be modified again.pwdExpireWarningint32requiredSpecifies the maximum number of days before a password expires that an expiration warning message is returned to an authenticating user.pwdInHistoryint32requiredSpecifies the number of passwords that are stored in the pwdHistory attribute.pwdLockoutbooleanrequiredIndicates whether a password can be used to authenticate after a specified number of consecutive failed bind attempts. If the attribute is not provided, the behavior defaults to false.truefalsepwdLockoutDurationint32requiredSpecifies the number of minutes that the password cannot be used to authenticate due to the specified 'pwdMaxFailure' failed bind attempts.pwdMaxAgeint32requiredSpecifies the number of days after which a password will expire (0 means password does not expire)pwdMaxFailureint32requiredSpecifies the maximum number of consecutive failed bind attempts after which the password cannot be used for authentication. If a value of 0 is set for the pwdMaxFailure attribute, the value of pwdLockout is ignored.pwdMinLengthint32requiredSpecifies the minimum length for the password string. The server checks the minimum length depending upon the value of the pwdCheckSyntax attribute.Responses 200The operation was successful. 400The request was incorrect. 500An internal server error occurred.Updated over 2 years ago